Auteur Sujet: Compilation du navigateur Midori  (Lu 1054 fois)

0 Membres et 1 Invité sur ce sujet

Hors ligne mhep

  • Membre Junior
  • **
  • Messages: 78
    • Oisux
Compilation du navigateur Midori
« le: 05 août 2016 à 23:21:47 »
Bonjour,

dans l'idée d'intégrer un navigateur léger et performant à une future distribution Bento, il est envisagé Midori, mais sans le composant "libzeitgeist" qui piste la navigation des utilisateurs.
Donc il faudrait faire une compilation de ce logiciel pour le faire tourner sans le mouchard.
Après téléchargement des sources (http://midori-browser.org/downloads/midori_0.5.11_all_.tar.bz2), j'ai lancé, sous Xenial :

Citer
./configure --disable-zeitgeist

Les premières réponses disaient qu'il manquait cmake et valac. Ça allait encore, les paquets existaient. Mais après les obstacles furent plus ardus, les voici :
Citer
./configure --disable-zeitgeist
-- valac 0.30.1 found
-- Checking for modules 'libxml-2.0>=2.6;sqlite3>=3.6.19;gmodule-2.0;gio-2.0>=2.32.3;libsoup-gnome-2.4>=2.37.1'
--   
--   
--   
CMake Error at /usr/share/cmake-3.5/Modules/FindPkgConfig.cmake:367 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.5/Modules/FindPkgConfig.cmake:532 (_pkg_check_modules_internal)
  CMakeLists.txt:110 (pkg_check_modules)

-- Configuring incomplete, errors occurred!
See also "/home/mhep/Midori/midori-0.5.11/_build/CMakeFiles/CMakeOutput.log"

J'ai fait plusieurs forums, qui demandaient d'installer les paquets :
Citer
pkg-config libgranite-dev libindicator3-dev libkeybinder-3.0-dev doxygen libnl-utils libxml++2.6-dev libxml2-dev libxml2

mais aucun changement, je ne sais plus comment faire, si vous avez une idée...


++
Marc
« Modifié: 05 août 2016 à 23:25:26 par mhep »
Oisux.org, Beauvais

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1680
    • Citrotux
Re : Compilation du navigateur Midori
« Réponse #1 le: 06 août 2016 à 10:28:11 »
Salut,
Je t'ai dit que Midori comporte ce programme et qu'il n'est pas souhaitable de l'avoir, je ne suis pas sûre de ce qu'il fait. Je n'ai pas assez de compétences pour être sûre. Voici ce qui s'en disait sur le forum archlinux.org l'an dernier:
https://bbs.archlinux.org/viewtopic.php?id=202221

c'est mimas qui m'a dit que ce programme espionne l'utilisateur, ce serait bien qu'il vienne nous en expliquer les détails.

Note que Netsurf, intégré à Bento, est léger et performant. Il ne lui manque que des traductions plus poussées en français. Nous pourrions lancer une campagne autour de sa traduction pour l'automne. Nous trouverions certainement des contributeurs.

Good leaders being scarce, following yourself is allowed.

Hors ligne malinuxTele

  • Néophyte
  • *
  • Messages: 2
Re : Compilation du navigateur Midori
« Réponse #2 le: 06 août 2016 à 15:10:15 »
Coucou,

Conformément au message "See also "/home/mhep/Midori/midori-0.5.11/_build/CMakeFiles/CMakeOutput.log", as tu regardé dans ce fameux fichier pour voir s'il y avait des indications intéressantes? :-)

Julien

Hors ligne mhep

  • Membre Junior
  • **
  • Messages: 78
    • Oisux
Oisux.org, Beauvais

Hors ligne mimas

  • Général du Roi
  • Modérateur Global
  • Membre Complet
  • *****
  • Messages: 114
  • Jamais content
    • G+
Re : Compilation du navigateur Midori
« Réponse #4 le: 08 août 2016 à 10:05:31 »
J'avais tenté sans succès de compiler midori sans zeitgeist il y a quelques mois. Il me semble, de mémoire, que les deux sont trop liés pour être dissociés aussi facilement, bref que ce n'est pas possible en l'état sans modification du code. N'étant pas spécialement intéressé par midori, je n'ai pas regardé plus


Zeitgeist n'espionne pas l'utilisateur, il a un rôle passif et enregistre les sites visités par l'utilisateur. C'est peut-être intéressant pour superviser l'activité d'un enfant, beaucoup moins pour se superviser soi-même.
When any government, or any church for that matter, undertakes to say to its subjects, "This you may not read, this you must not see, this you are forbidden to know," the end result is tyranny and oppression, no matter how holy the motives.

Hors ligne mhep

  • Membre Junior
  • **
  • Messages: 78
    • Oisux
Re : Compilation du navigateur Midori
« Réponse #5 le: 08 août 2016 à 13:42:04 »
Merci pour les précisions. Du coup j'essaie de compiler sans restriction, mais je bute sur le même obstacle :
Citer
A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.5/Modules/FindPkgConfig.cmake:532 (_pkg_check_modules_internal)
  CMakeLists.txt:110 (pkg_check_modules)
J'ai cherché comment installer le fameux "Call Stack" mais sans succès.
A tout hasard, j'ai installé openstack et openstack-pkg-tools mais ça n'a rien changé.

« Modifié: 08 août 2016 à 14:14:34 par mhep »
Oisux.org, Beauvais

Hors ligne mimas

  • Général du Roi
  • Modérateur Global
  • Membre Complet
  • *****
  • Messages: 114
  • Jamais content
    • G+
Re : Compilation du navigateur Midori
« Réponse #6 le: 08 août 2016 à 14:09:28 »
Rien à voir. La call stack est la pile d'appels. :p

Je n'ai rien pour regarder mais je suppose que zeitgeist est obligatoire contrairement à ce qui est précisé, ce que tend à vérifier l'erreur remontée par cmake.

Pour vérifier cette hypothèse, il faudrait installer zeitgeist et voir si midori compile avec le flag qui devrait le désactiver. Puis supprimer la bibliothèque et recompiler midori de la même façon. Si ça chois, ça risque de devenir plus compliqué.
When any government, or any church for that matter, undertakes to say to its subjects, "This you may not read, this you must not see, this you are forbidden to know," the end result is tyranny and oppression, no matter how holy the motives.

Hors ligne mhep

  • Membre Junior
  • **
  • Messages: 78
    • Oisux
Re : Compilation du navigateur Midori
« Réponse #7 le: 08 août 2016 à 14:19:46 »
Ah oui openstack c'est pour le cloud.

J'ai installé zeitgeist pour mieux le désactiver plus tard si j'ai bien compris.
Maintenant c'est libxml et les autres qui reviennent poser des pb :
Citer
$./configure
-- valac 0.30.1 found
-- Checking for modules 'libxml-2.0>=2.6;sqlite3>=3.6.19;gmodule-2.0;gio-2.0>=2.32.3;libsoup-gnome-2.4>=2.37.1'
J'en ai mis des paquets qui ressemblent mais y'en a jamais un qui va bien.
Oisux.org, Beauvais

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1680
    • Citrotux
Re : Compilation du navigateur Midori
« Réponse #8 le: 09 août 2016 à 20:59:47 »
Salut,

Si au lieu de recompiler, nous ajouterions Midori dans Bento en essayant ce qui est écrit ici ?
http://jedepannetonordi.fr/comment-et-pourquoi-desactiver-le-demon-zeitgeist-dans-ubuntu/

cela te conviendrait-il ? Si oui, pourrais-tu tester dans ton installation ?

Good leaders being scarce, following yourself is allowed.

Hors ligne mhep

  • Membre Junior
  • **
  • Messages: 78
    • Oisux
Re : Compilation du navigateur Midori
« Réponse #9 le: 09 août 2016 à 22:26:31 »
Ok, je fais des tests demain
Oisux.org, Beauvais

Hors ligne mhep

  • Membre Junior
  • **
  • Messages: 78
    • Oisux
Re : Compilation du navigateur Midori
« Réponse #10 le: 10 août 2016 à 18:01:29 »
Bonjour,

premiers tests de la doc http://jedepannetonordi.fr/comment-et-pourquoi-desactiver-le-demon-zeitgeist-dans-ubuntu/

J'ai obtenu des réponses surprenantes

Citer
[root@bento14.04:~]# apt-get install midori
Les paquets supplémentaires suivants seront installés :
  libunique-1.0-0
Les NOUVEAUX paquets suivants seront installés :
  libunique-1.0-0 midori
0 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
Pas de zeilgest :
Citer
[root@bento14.04:~]# ps -ef | grep zeit
root      4103  1889  0 17:58 pts/1    00:00:00 grep --color=auto zeit
[root@bento14.04:~]# dpkg -l | grep zeitgest
[root@bento14.04:~]#

Par contre avec Xenial, pas de doute :
Citer
[root@16.04:~]# ps aux | grep zeit
mhep      3839  0.1  0.4 559832 16316 ?       Sl    18:08   0:00 zeitgeist-datahub
mhep      3846  0.0  0.0   4508   756 ?           S     18:08   0:00 /bin/sh -c /usr/lib/x86_64-linux-gnu/zeitgeist/zeitgeist-maybe-vacuum; /usr/bin/zeitgeist-daemon
mhep      3850  0.0  0.1 405500  6252 ?        Sl    18:08   0:00 /usr/bin/zeitgeist-daemon
mhep      3857  0.0  0.2 310832  9708 ?        Sl    18:08   0:00 /usr/lib/x86_64-linux-gnu/zeitgeist-fts
root         3994  0.0  0.0  21312   972 pts/13  S+  18:09   0:00 grep --color=auto zeit
« Modifié: 10 août 2016 à 18:20:21 par mhep »
Oisux.org, Beauvais

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1680
    • Citrotux
Re : Compilation du navigateur Midori
« Réponse #11 le: 10 août 2016 à 20:35:31 »
Salut,

Bizarre j'essaie dans Bento upgradée en Xenial et ça ne fait pas pareil

Réception de:3 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/ubuntu xenial-updates/universe amd64 libwebkitgtk-1.0-common all 2.4.11-0ubuntu0.1 [368 kB]
Réception de:4 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/ubuntu xenial-updates/universe amd64 libwebkitgtk-1.0-0 amd64 2.4.11-0ubuntu0.1 [7 587 kB]
Réception de:5 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/ubuntu xenial/universe amd64 midori amd64 0.5.11-ds1-2 [1 064 kB]                   
90% [5 midori 237 kB/1 064 kB 22%]                                                                                                       188 kB/s 4s
11,0 Mo réceptionnés en 53s (204 ko/s)                                                                                                             
Sélection du paquet libzeitgeist-2.0-0:amd64 précédemment désélectionné.
(Lecture de la base de données... 243847 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libzeitgeist-2.0-0_0.9.16-0ubuntu4_amd64.deb ...
Dépaquetage de libzeitgeist-2.0-0:amd64 (0.9.16-0ubuntu4) ...
Sélection du paquet libjavascriptcoregtk-1.0-0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../libjavascriptcoregtk-1.0-0_2.4.11-0ubuntu0.1_amd64.deb ...
Dépaquetage de libjavascriptcoregtk-1.0-0:amd64 (2.4.11-0ubuntu0.1) ...
Sélection du paquet libwebkitgtk-1.0-common précédemment désélectionné.
Préparation du dépaquetage de .../libwebkitgtk-1.0-common_2.4.11-0ubuntu0.1_all.deb ...
Dépaquetage de libwebkitgtk-1.0-common (2.4.11-0ubuntu0.1) ...
Sélection du paquet libwebkitgtk-1.0-0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../libwebkitgtk-1.0-0_2.4.11-0ubuntu0.1_amd64.deb ...
Dépaquetage de libwebkitgtk-1.0-0:amd64 (2.4.11-0ubuntu0.1) ...
Sélection du paquet midori précédemment désélectionné.
Préparation du dépaquetage de .../midori_0.5.11-ds1-2_amd64.deb ...
Dépaquetage de midori (0.5.11-ds1-2) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu3) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu5) ...
Traitement des actions différées (« triggers ») pour mime-support (3.59ubuntu1) ...
Paramétrage de libzeitgeist-2.0-0:amd64 (0.9.16-0ubuntu4) ...
Paramétrage de libjavascriptcoregtk-1.0-0:amd64 (2.4.11-0ubuntu0.1) ...
Paramétrage de libwebkitgtk-1.0-common (2.4.11-0ubuntu0.1) ...
Paramétrage de libwebkitgtk-1.0-0:amd64 (2.4.11-0ubuntu0.1) ...
Paramétrage de midori (0.5.11-ds1-2) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu3) ...
[root@serpolet:~]# clear

[root@serpolet:~]# ps ax | grep zeitgeist
 5971 pts/0    S+     0:00 grep --color=auto zeitgeist
[root@serpolet:~]# ps ax | grep zeit
* 5977 pts/0    S+     0:00 grep --color=auto zeit
[root@serpolet:~]# uname -a
Linux serpolet 4.4.1-040401-generic #201601311534 SMP Sun Jan 31 20:36:43 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
[root@serpolet:~]# lsb_release -d
Description: Ubuntu 16.04.1 LTS
[root@serpolet:~]# ps aux | grep zeit
root      6001  0.0  0.0  14264  1028 pts/0    S+   20:08   0:00 grep --color=auto zeit
[root@serpolet:~]# lsb_release -d
Description: Ubuntu 16.04.1 LTS
[root@serpolet:~]# apt-cache policy midori
midori:
  Installé : 0.5.11-ds1-2
  Candidat : 0.5.11-ds1-2
 Table de version :
 *** 0.5.11-ds1-2 500
        500 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/ubuntu xenial/universe amd64 Packages
        100 /var/lib/dpkg/status
[root@serpolet:~]# apt-cache policy zeitgeist
zeitgeist:
  Installé : (aucun)
  Candidat : 0.9.16-0ubuntu4
 Table de version :
     0.9.16-0ubuntu4 500
        500 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/ubuntu xenial/universe amd64 Packages
        500 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/ubuntu xenial/universe i386 Packages
[root@serpolet:~]#
Good leaders being scarce, following yourself is allowed.

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1680
    • Citrotux
Re : Compilation du navigateur Midori
« Réponse #12 le: 11 août 2016 à 21:23:53 »
Salut salut !

Dans ma tour, où est Bento version Xenial,

$ sudo apt-get install midori
[sudo] Mot de passe de melodie :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
The following additional packages will be installed:
  libzeitgeist-2.0-0
Paquets recommandés :
  zeitgeist-core | zeitgeist
Les NOUVEAUX paquets suivants seront installés :
  libzeitgeist-2.0-0 midori
0 mis à jour, 2 nouvellement installés, 0 à enlever et 10 non mis à jour.
Il est nécessaire de prendre 1 177 ko dans les archives.
Après cette opération, 5 831 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n]

donc zeitgeist-core et zeitgeist ne sont pas obligatoires, mais seulement recommandés. Voici le contenu de mon fichier /etc/apt/apt.conf.d/99synaptic:
APT::Install-Recommends "false";
et qui permet d'éviter l'installation systématique des paquets dits "recommandés".

Bref, je remettrai Midori par défaut à la place de NetSurf, dans les prochaines Bento "full". Pour les versions "Sushi", ça doit pouvoir rester avec NetSurf… Qu'en penses-tu, Marc ?

Good leaders being scarce, following yourself is allowed.

Hors ligne mhep

  • Membre Junior
  • **
  • Messages: 78
    • Oisux
Re : Re : Compilation du navigateur Midori
« Réponse #13 le: 11 août 2016 à 21:38:40 »
.../... donc zeitgeist-core et zeitgeist ne sont pas obligatoires, mais seulement recommandés. Voici le contenu de mon fichier /etc/apt/apt.conf.d/99synaptic:
APT::Install-Recommends "false";et qui permet d'éviter l'installation systématique des paquets dits "recommandés".
Bien joué !

Citer
Bref, je remettrai Midori par défaut à la place de NetSurf, dans les prochaines Bento "full". Pour les versions "Sushi", ça doit pouvoir rester avec NetSurf… Qu'en penses-tu, Marc ?
Excellente nouvelle si Modori peut être installé dans Bento car l'affichage avec Netsurf peut surprendre.
Concernant Sushi, Netsurf va bien avec l'esprit de la distribution.
Trop bien.
Oisux.org, Beauvais